Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.schedule.renderer
Class PlannerRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.schedule.renderer.PlannerRenderer

public class PlannerRenderer
extends javax.faces.render.Renderer

Renderer for the UIPlanner component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$), Bruno Aranda (adaptation of Jurgen's code to myfaces)

Constructor Summary
`PlannerRenderer()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected int` | `getGutterWidth(javax.faces.component.UIComponent component)` Determine the width of the left gutter
`protected java.lang.String` | `getHeaderDateFormat(javax.faces.component.UIComponent component)` The date format that is used in the planner header
`protected javax.faces.component.UIForm` | `getParentForm(javax.faces.component.UIComponent component)` Get the parent form of the planner component
`protected java.lang.String` | `getTheme(javax.faces.component.UIComponent component)` The theme used when rendering the planner
`protected boolean` | `showLegend(javax.faces.component.UIComponent component)` Should the legend be rendered?
`protected boolean` | `showTooltip(javax.faces.component.UIComponent component)` Should the tooltip be rendered?

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlannerRenderer

    public PlannerRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeChildren(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeEnd(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### getGutterWidth

    protected int getGutterWidth(javax.faces.component.UIComponent component)

  Determine the width of the left gutter

  Parameters:
    `component` - the component
  Returns:
    the gutter width in pixels

### getHeaderDateFormat

    protected java.lang.String getHeaderDateFormat(javax.faces.component.UIComponent component)

  The date format that is used in the planner header

  Parameters:
    `component` - the component
  Returns:
    Returns the headerDateFormat.

### getParentForm

    protected javax.faces.component.UIForm getParentForm(javax.faces.component.UIComponent component)

  Get the parent form of the planner component

  Parameters:
    `component` - the component
  Returns:
    the parent form

### showLegend

    protected boolean showLegend(javax.faces.component.UIComponent component)

  Should the legend be rendered?

  TODO the rendering of the legend has not been implemented yet

  Parameters:
    `component` - the component
  Returns:
    whether to render the legend

### getTheme

    protected java.lang.String getTheme(javax.faces.component.UIComponent component)

  The theme used when rendering the planner

  Parameters:
    `component` - the component
  Returns:
    the theme

### showTooltip

    protected boolean showTooltip(javax.faces.component.UIComponent component)

  Should the tooltip be rendered?

  Parameters:
    `component` - the component
  Returns:
    whether or not tooltips should be rendered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD